Skip to content

VoIP

All operations require authentication.

9 operationsv1/pack/xdsl
Agent setup

List the VoIP billing account services of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/voipBillingAccount/services

List the VoIP billing account services of an xDSL pack. Returns the domains of the VoIP billing accounts linked to the pack.

Path parameters

packName
required
string

The internal name of your pack

Response

200string[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipBillingAccount/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

List the VoIP Ecofax services of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/voipEcofax/services

List the VoIP Ecofax services of an xDSL pack. Returns the domains of the VoIP Ecofax services activated with the pack.

Path parameters

packName
required
string

The internal name of your pack

Response

200string[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipEcofax/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a VoIP Ecofax service in an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/voipEcofax/services

Create a VoIP Ecofax service in an xDSL pack. Activates the VoIP Ecofax service included in the pack. Returns the task that performs it.

Path parameters

packName
required
string

The internal name of your pack

Response

200Tasksuccessful operation
function
read-only
string
—
id
read-only
integer
—
status
read-only
TaskStatusEnum

Status of a task.

Valuescancelleddoingdoneerrorproblemtodo
updateDate
read-only
stringdate-time
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipEcofax/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "function": "string", "id": 0, "status": "cancelled", "updateDate": "2024-01-01T12:00:00Z"}

Create a shipping address for a VoIP line orderProduction

POST
/1.0/pack/xdsl/{packName}/voipLine/options/customShippingAddress

Create a shipping address for a VoIP line order. Adds an address from a name, street address, zip code and city, and returns its shipping ID.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

address
required
string

Address, including street name

cityName
required
string

City name

firstName
required
string

First name

lastName
required
string

Last name

zipCode
required
string

Zip code

Response

200integersuccessful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/options/customShippingAddress \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
0

List the hardware for a VoIP line orderProduction

GET
/1.0/pack/xdsl/{packName}/voipLine/options/hardwares

List the hardware for a VoIP line order. Returns the phones available with a VoIP line of the xDSL pack, with their deposit, fees and shipping need.

Path parameters

packName
required
string

The internal name of your pack

Response

200VoIPHardware[]successful operation
deposit
Price

Price with it's currency and textual representation

fees
Price

Price with it's currency and textual representation

image
string
—
label
string
—
max
integer
—
name
string
—
needShipping
boolean
—
url
string
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/options/hardwares \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "deposit": { "currencyCode": "AUD", "text": "string", "value": 0 }, "fees": { "currencyCode": "AUD", "text": "string", "value": 0 }, "image": "string", "label": "string", "max": 0, "name": "string", "needShipping": true, "url": "string" }]

List the shipping addresses for a VoIP line orderProduction

GET
/1.0/pack/xdsl/{packName}/voipLine/options/shippingAddresses

List the shipping addresses for a VoIP line order. Returns the addresses the hardware of a VoIP line of the xDSL pack can be shipped to.

Path parameters

packName
required
string

The internal name of your pack

Response

200ShippingAddress[]successful operation
address
string
—
cityName
string
—
countryCode
string
—
firstName
string
—
lastName
string
—
shippingId
string
—
zipCode
string
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/options/shippingAddresses \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "address": "string", "cityName": "string", "countryCode": "string", "firstName": "string", "lastName": "string", "shippingId": "string", "zipCode": "string" }]

List the VoIP line services of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/voipLine/services

List the VoIP line services of an xDSL pack. Returns the domains of the VoIP line services activated with the pack.

Path parameters

packName
required
string

The internal name of your pack

Response

200string[]successful operation

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Create a VoIP line service in an xDSL packProduction

POST
/1.0/pack/xdsl/{packName}/voipLine/services

Create a VoIP line service in an xDSL pack. Orders VoIP lines with the given hardware, shipped to a shipping address or a Mondial Relay point. Returns the order.

Path parameters

packName
required
string

The internal name of your pack

Request body (required)

hardwareNames
required
string[]

List of names from hardwares call

mondialRelayId
string

Mondial relay ID

shippingId
string

Shipping ID for the order

Response

200VoIPLineOrdersuccessful operation
needPayment
boolean

Whether or not this order need to be payed manually

orderId
integer
—
orderUrl
string
—
taskIds
integer[]
—

Example uses packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/services \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "needPayment": true, "orderId": 0, "orderUrl": "string", "taskIds": [ 0 ]}

Get a VoIP line service of an xDSL packProduction

GET
/1.0/pack/xdsl/{packName}/voipLine/services/{domain}

Get a VoIP line service of an xDSL pack. Returns the domain and the billing account of a VoIP line service activated with the pack.

Path parameters

domain
required
string
—
packName
required
string

The internal name of your pack

Response

200VoipLineServicesuccessful operation
billingAccount
read-only
string
—
domain
read-only
string
—

Example uses domain = string, packName = string

$ curl https://api.eu.ovhcloud.com/1.0/pack/xdsl/{packName}/voipLine/services/{domain} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "billingAccount": "string", "domain": "string"}